﻿using LawFirmContracts.Attributes;
using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class BlankViewModel : IBlankModel
    {
        [Column("Название бланка", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string BlankName { get; set; } = string.Empty;

        [Column("Цена", width: 100)]
        public double Cost { get; set; }

        [Column(visible: false)]
        public int Id { get; set; }
    }
}
