﻿using LawFirmContracts.Attributes;
using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
        [Column("Название документа", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string DocumentName {get; set;} = string.Empty;

        [Column("Цена", width: 100)]
        public double Price { get; set; }

        [Column(visible: false)]
        public Dictionary<int, (IBlankModel, int)> DocumentBlanks { get; set; } = new();

        [Column(visible: false)]
        public int Id { get; set; }
    }
}
